[Launch]
ProgramExecutable="FileRecovery\FileRecovery.exe"
SingleAppInstance=true
WaitForProgram=true
RunAsAdmin=try
WaitForExe1=ActionCenter.exe
WaitForExe2=FileShredder.exe
WaitForExe3=FreeSpaceWiper.exe
WaitForExe4=Integrator.exe
WaitForExe5=TabReports.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
FileRecovery="HKLM\SOFTWARE\Auslogics\File Recovery\9.x"

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\Auslogics\File Recovery
2=HKLM\SOFTWARE\Auslogics

[DirectoriesMove]
FileRecovery=%ALLUSERSAPPDATA%\Auslogics\File Recovery

[DirectoriesCleanupIfEmpty]
1=%ALLUSERSAPPDATA%\Auslogics

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\FileRecovery.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\